Audacious - Bug #141

GTK error message when "Interface Preferences’ dialog is closed
July 03, 2012 00:52 - Thomas Lange

Status: Closed Start date: July 03, 2012
Priority: Trivial Due date:

Assignee: % Done: 100%
Category: plugins/skins Estimated time: 0.00 hour
Target version: 3.3.1

Affects version: 3.3

Description

Description:

If you close the "Interface Preferences" dialog, this error message appears:
(audacious:xxxx): Gtk-CRITICAL **: gtk_tree_selection_get_selected: assertion 'GTK_IS_TREE_SELECTION (selection)' failed

How to reproduce:

1. Select the Winamp interface

1. Click View -> Interface Preferences
2. Close the dialog

Affects all versions of Audacious.

History

#1 - July 03, 2012 02:26 - John Lindgren

This is a bug in GTK+, which | have forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=679291. As a developer, you should be able to do the
debugging work and report such bugs to upstream yourself.

#2 - August 07, 2012 04:34 - John Lindgren
- Status changed from New to Closed
- Target version changed from 3.3 to 3.3.1

- % Done changed from 0 to 100

GTK+ developers are dragging their heels on this one, so I've added a workaround.

March 20, 2024 1/1



https://bugzilla.gnome.org/show_bug.cgi?id=679291
http://www.tcpdf.org

